Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class SVMPattern

    java.lang.Object
      org.encog.neural.pattern.SVMPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class SVMPattern

extends Object
implements NeuralNetworkPattern

A pattern to create support vector machines.

Constructor Summary
`SVMPattern()`

Method Summary
`void` | `addHiddenLayer(int count)` Unused, a BAM has no hidden layers.
`void` | `clear()` Clear any settings on the pattern.
`MLMethod` | `generate()` Generate the specified neural network.
`int` | `getInputNeurons()`
`int` | `getOutputNeurons()`
`boolean` | `isRegression()`
`void` | `setActivationFunction(ActivationFunction activation)` Not used, the BAM uses a bipoloar activation function.
`void` | `setInputNeurons(int count)` Set the number of input neurons.
`void` | `setKernelType(KernelType kernelType)` Set the kernel type.
`void` | `setOutputNeurons(int count)` Set the number of output neurons.
`void` | `setRegression(boolean regression)` Set if regression is used.
`void` | `setSVMType(SVMType svmType)` Set the SVM type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVMPattern

    public SVMPattern()

Method Detail

### addHiddenLayer

    public void addHiddenLayer(int count)

  Unused, a BAM has no hidden layers.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - Not used.

### clear

    public void clear()

  Clear any settings on the pattern.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public MLMethod generate()

  Description copied from interface: `NeuralNetworkPattern`
  Generate the specified neural network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    The generated network.

### getInputNeurons

    public int getInputNeurons()

  Returns:
    The input neuron count.

### getOutputNeurons

    public int getOutputNeurons()

  Returns:
    The input output count.

### isRegression

    public boolean isRegression()

  Returns:
    True, if this is regression.

### setActivationFunction

    public void setActivationFunction(ActivationFunction activation)

  Not used, the BAM uses a bipoloar activation function.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - Not used.

### setInputNeurons

    public void setInputNeurons(int count)

  Set the number of input neurons.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of input neurons.

### setKernelType

    public void setKernelType(KernelType kernelType)

  Set the kernel type.

  Parameters:
    `kernelType` - The kernel type.

### setOutputNeurons

    public void setOutputNeurons(int count)

  Set the number of output neurons.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The output neuron count.

### setRegression

    public void setRegression(boolean regression)

  Set if regression is used.

  Parameters:
    `regression` - True if regression is used.

### setSVMType

    public void setSVMType(SVMType svmType)

  Set the SVM type.

  Parameters:
    `svmType` - The SVM type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.